// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

package org.apache.doris.common;

public final class FeMetaVersion {
    // jira 1902
    public static final int VERSION_8 = 8;
    // jira 529
    public static final int VERSION_9 = 9;
    // jira 1772 1792 1834
    public static final int VERSION_10 = 10;
    // jira 1978
    public static final int VERSION_11 = 11;
    // jira 1981
    public static final int VERSION_12 = 12;
    // jira 2245 load priority
    public static final int VERSION_15 = 15;
    // jira 1635 dynamice fe
    public static final int VERSION_16 = 16;
    // jira 1988 backup and restore
    public static final int VERSION_17 = 17;
    // jira 2190 support null
    public static final int VERSION_18 = 18;
    // jira 2288 async delete
    public static final int VERSION_19 = 19;
    // jira 2399 global session variables persistence
    public static final int VERSION_20 = 20;
    // ca 2288
    public static final int VERSION_21 = 21;
    // for compatible
    public static final int VERSION_22 = 22;

    // LoadJob timestamp
    public static final int VERSION_23 = 23;

    // load job error hub
    public static final int VERSION_24 = 24;

    // Palo3.0 (general model/multi tenant)
    public static final int VERSION_30 = 30;

    // Palo3.1 image version
    public static final int VERSION_31 = 31;

    // Palo3.2
    public static final int VERSION_32 = 32;

    // persist decommission type
    public static final int VERSION_33 = 33;

    // persist LoadJob's execMemLimit
    public static final int VERSION_34 = 34;

    // update the BE in cluster, because of forgeting
    // to remove backend in cluster when drop backend or 
    // decommission in latest versions.
    public static final int VERSION_35 = 35;

    // persist diskAvailableCapacity
    public static final int VERSION_36 = 36;

    // added collation_server to variables (palo-3059)
    public static final int VERSION_37 = 37;

    // paralle exec param and batch size
    public static final int VERSION_38 = 38;

    // schema change support row to column
    public static final int VERSION_39 = 39;

    // persistent brpc port in Backend
    public static final int VERSION_40 = 40;

    // change the way to name Frontend
    public static final int VERSION_41 = 41;

    // new backup and restore
    public static final int VERSION_42 = 42;

    // new privilege management
    public static final int VERSION_43 = 43;

    // streaming load
    public static final int VERSION_45 = 45;

    // colocate join
    public static final int VERSION_46 = 46;

    // UDF
    public static final int VERSION_47 = 47;
    // TODO(ml):VERSION_ROUTINE_LOAD add extra in transaction state for routine load

    // replica schema hash
    public static final int VERSION_48 = 48;
}
